declare namespace StartToastifyInstance {
  function reposition(): void;
  interface Offset {
    x: number | string;
    y: number | string;
  }
  interface Options {
    text?: string | undefined;
    node?: Node | undefined;
    duration?: number | undefined;
    selector?: string | Node | undefined;
    destination?: string | undefined;
    newWindow?: boolean | undefined;
    close?: boolean | undefined;
    gravity?: 'top' | 'bottom' | undefined;
    position?: 'left' | 'center' | 'right' | undefined;
    avatar?: string | undefined;
    className?: string | undefined;
    stopOnFocus?: boolean | undefined;
    callback?: (() => void) | undefined;
    onClick?: (() => void) | undefined;
    offset?: Offset | undefined;
    escapeMarkup?: boolean | undefined;
    style?: { [cssRule: string]: string };
    oldestFirst?: boolean | undefined;
  }
}
declare class Toastify {
  readonly options: StartToastifyInstance.Options;
  readonly toastElement: Element | null;
  showToast(): void;
  hideToast(): void;
}
declare function StartToastifyInstance(options?: Toastify.Options): Toastify;
export as namespace Toastify;
export = StartToastifyInstance;
